//
//  DeviceInformationView.swift
//  LayoutProject
//
//  Created by Karin Prater on 29.11.23.
//

import SwiftUI

struct DeviceInformationView: View {
    
    let device = UIDevice.current.userInterfaceIdiom
    let screen = UIScreen.main.bounds
    
    var body: some View {
        GeometryReader { geometry in
            
            VStack {
                switch device {
                    case .unspecified:
                        Text("unspecified")
                    case .phone:
                        Text("Running on iPhone")
                    case .pad:
                        Text("Running on iPad")
                    case .tv:
                        Text("Running on TV")
                    case .carPlay:
                        Text("Running on car")
                    case .mac:
                        Text("Running on mac")
                    case .vision:
                        Text("Running on Vision")
                    @unknown default:
                        Text("unknown")
                }
                Text("screen size: \(screen.width) - \(screen.height)")
                
                Text("GeometryReader: \(geometry.size.width) - \(geometry.size.height)")
            }
            .frame(maxWidth: .infinity, maxHeight: .infinity)
            .background(Color.yellow, ignoresSafeAreaEdges: [])
        }
        
        
    }
}

#Preview {
    DeviceInformationView()
}
