//
//  DynamicTypeSizeView.swift
//  LayoutProject
//
//  Created by Karin Prater on 30.11.23.
//

import SwiftUI

struct DynamicTypeSizeView: View {
    
    @Environment(\.dynamicTypeSize) var typeSize
    @Environment(\.sizeCategory) var sizeCategory
    
    var body: some View {
        
        VStack {
            
            switch typeSize {
               
                case .xSmall:
                    Text("xSmall Type Size")
                case .small:
                    Text("small Type Size")
                case .medium:
                    Text("medium Type Size")
                case .large:
                    Text("Large Type Size")
                case .xLarge:
                    Text("xLarge Type Size")
                case .xxLarge:
                    Text("xxLarge Type Size")
                case .xxxLarge:
                    Text("xxxLarge Type Size")
                    
                case .accessibility1:
                    Text("accessibility1 Type Size")
                case .accessibility2:
                    Text("accessibility2 Type Size")
                case .accessibility3:
                    Text("accessibility3 Type Size")
                case .accessibility4:
                    Text("accessibility4 Type Size")
                case .accessibility5:
                    Text("accessibility5 Type Size")
                @unknown default:
                    Text("unknown Type Size")
            }
            
            Text(/*@START_MENU_TOKEN@*/"Hello, World!"/*@END_MENU_TOKEN@*/)
               // .font(.system(size: 14))
                .font(.headline)
            
            if typeSize.isAccessibilitySize {
                Text("is Accessibility")
            }
            
            
            Text("this is using a fixed size")
                .dynamicTypeSize(.xLarge)
            
            Text("Limited dynamic range")
                //.dynamicTypeSize(...DynamicTypeSize.accessibility1)
               // .dynamicTypeSize(DynamicTypeSize.medium...)
                .dynamicTypeSize(DynamicTypeSize.medium...DynamicTypeSize.accessibility1)
        }
        
    }
}

fileprivate struct TestView: View {
    var body: some View {
        VStack {
            Text("Title")
                .font(.largeTitle)
                .dynamicTypeSize(...DynamicTypeSize.accessibility3)
            
            Text("Subheadline")
                .font(.title2)
                .dynamicTypeSize(...DynamicTypeSize.accessibility3)
            
            
            Text("Description")
                .font(.body)
            Text("additional information")
                .font(.caption)
            
            Spacer()
        }
    }
}


#Preview {
    DynamicTypeSizeView()
}

#Preview {
    TestView()
}
