//
//  EnvironmentListView.swift
//  LayoutProject
//
//  Created by Karin Prater on 30.11.23.
//

import SwiftUI

struct EnvironmentListView: View {
    
    @Environment(\.colorScheme) var colorScheme
    @Environment(\.controlSize) var controlSize
    
    @Environment(\.imageScale) var imageScale
    @Environment(\.font) var font
    @Environment(\.locale) var local
    
    @Environment(\.dynamicTypeSize) var typeSize
    @Environment(\.sizeCategory) var sizeCategory
    
    @Environment(\.openWindow) var openWindow
    @Environment(\.openURL) var openURL
    
    @Environment(\.undoManager) var undoManager
    @Environment(\.managedObjectContext) var viewContext
    
    @State private var sheetIsShown = false
    
    var body: some View {
        VStack {
            
            Text("Hello, World!")
                .padding()
                .background {
                    if colorScheme == .light {
                        RoundedRectangle(cornerRadius: 5)
                            .stroke(Color.cyan, lineWidth: /*@START_MENU_TOKEN@*/1.0/*@END_MENU_TOKEN@*/)
                    }
                }
            
            Button("This is a button") {
                sheetIsShown.toggle()
            }
            .sheet(isPresented: $sheetIsShown, content: {
                SheetView()
            })
            
            
            VStack {
                Image(systemName: "globe")
                Text("This is a text with a special font")
            }
           // .font(.title)
            .environment(\.font, .title)
        }
    }
}

fileprivate struct SheetView: View {
    
    @Environment(\.dismiss) var dismiss
    
    var body: some View {
        VStack {
            Text("this is a view")
            
            Button("Dismiss") {
                dismiss()
            }
        }
    }
}


#Preview {
    EnvironmentListView()
}

#Preview("control size mini") {
    EnvironmentListView()
        .environment(\.controlSize, .mini)
}
