//
//  SettingsView.swift
//  LayoutProject
//
//  Created by Karin Prater on 30.11.23.
//

import SwiftUI

struct SettingsView: View {
    
    @Environment(\.colorScheme) var colorScheme
    @State private var selectedColorScheme: ColorScheme = .light
    
    var body: some View {
        VStack {
            Text("Color Scheme")
            
            Button(action: {
                selectedColorScheme = .light
            }, label: {
                if colorScheme == .light {
                    Image(systemName: "checkmark")
                }
                Text("light")
            })
    
            Button(action: {
                selectedColorScheme = .dark
            }, label: {
                if colorScheme == .dark {
                    Image(systemName: "checkmark")
                }
                Text("dark")
            })
            
            
            Button("system") {
                
            }
        }
        .preferredColorScheme(selectedColorScheme)
        .onAppear(perform: {
            selectedColorScheme = colorScheme
        })
    }
}

#Preview {
    SettingsView()
}
