//
//  BackgroundEditCatView.swift
//  LayoutProject
//
//  Created by Karin Prater on 05.12.23.
//

import SwiftUI

struct BackgroundEditCatView: View {
    @State private var text = ""
    
    var body: some View {
        VStack(alignment: .leading) {
            Text("What is your cats name?")
                .font(.title)
                .bold()
                .foregroundStyle(.white)
            HStack {
                TextField("Name", text: $text)
                    .textFieldStyle(.roundedBorder)
                
                Button {
                } label: {
                    Text("Save")
                }
                .buttonStyle(.borderedProminent)
            }
        }
        .padding()
        .padding(.bottom, 50)
        .frame(maxWidth: .infinity,
               maxHeight: .infinity,
               alignment: .bottom)
       
        .background (
            Color.gray.overlay {
                Image(.cat2)
                    .resizable()
                    .scaledToFill()
            }
            .ignoresSafeArea(.all)
        )
       
    }
}

struct BackgroundGradientEditCatView: View {
    @State private var text = ""
    
    var body: some View {
        VStack(alignment: .leading) {
            Text("What Do You Say?")
                .font(.title)
                .bold()
                .foregroundStyle(.white)
            HStack {
                TextField("Answer", text: $text)
                    .textFieldStyle(.roundedBorder)
                
                Button {
                } label: {
                    Text("Save")
                }
                .buttonStyle(.borderedProminent)
            }
        }
        .padding()
        .padding(.bottom, 50)
        .frame(maxWidth: .infinity, maxHeight: .infinity)
        .background(
            LinearGradient(colors: [Color.red, Color.green, Color.blue],
                                   startPoint: .topLeading,
                                   endPoint: .bottomTrailing)
            .ignoresSafeArea([.keyboard, .container])
        
        )
    }
}

#Preview("image") {
    BackgroundEditCatView()
}

#Preview("gradient") {
    BackgroundGradientEditCatView()
}
