//
//  KeyboardToolbarExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 11.12.23.
//

import SwiftUI

struct KeyboardToolbarExampleView: View {
    @State private var name = "Taylor"

    var body: some View {
        TextField("Enter your name", text: $name)
            .textFieldStyle(.roundedBorder)
            .padding()
            .toolbar(content: {
                ToolbarItem(placement: .keyboard) {
                    Button("Click me") {
                        
                    }
                }
            })
    }
}

struct SafeAreaInsetExampleView: View {
    @State private var name = "Taylor"

    var body: some View {
        TextField("Enter your name", text: $name)
            .textFieldStyle(.roundedBorder)
            .padding()
            .frame(maxWidth: .infinity, maxHeight: .infinity)
            .background(
                LinearGradient(colors: [Color.red, Color.green, Color.blue],
                                       startPoint: .topLeading,
                                       endPoint: .bottomTrailing)
                .ignoresSafeArea([.keyboard, .container])
            
            )
        
            .safeAreaInset(edge: .bottom, content: {
                Button("Click me") {
                    
                }
                .padding()
                .frame(maxWidth: .infinity)
                .background(.thinMaterial)
            })
    }
}

#Preview {
    KeyboardToolbarExampleView()
}
