//
//  ButtonSizeThatFitsExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 02.12.23.
//

import SwiftUI

struct ButtonSizeThatFitsExampleView: View {
    var body: some View {
        
        VStack {
            
            Button {
                
            } label: {
                Label("Do something", systemImage: "gear")
            }
            .buttonStyle(.borderedProminent)
            
            HStack {
                AdjustableButton(longTitle: "Delete Document",
                                 shortTitle: "Delete", iconName: "trash.fill") { }
                AdjustableButton(longTitle: "Duplicate Document",
                                 shortTitle: "Duplicate", iconName: "doc.on.doc") { }
                AdjustableButton(longTitle: "Export Document",
                                 shortTitle: "Export", iconName: "square.and.arrow.up") { }
            }
        }
    }
}

struct AdjustableButton: View {
    
    let longTitle: String
    let shortTitle: String
    let iconName: String
    let action: () -> Void
    
    init(longTitle: String, 
         shortTitle: String,
         iconName: String,
         action: @escaping () -> Void) {
        self.longTitle = longTitle
        self.shortTitle = shortTitle
        self.iconName = iconName
        self.action = action
    }
    
    var body: some View {
        ViewThatFits {
            
            Button(action: action) {
                Label(longTitle, systemImage: iconName)
            }
            
            Button(action: action) {
                Label(shortTitle, systemImage: iconName)
            }
            
            Button(action: action) {
                Image(systemName: iconName)
            }
        }
        .buttonStyle(.borderedProminent)
    }
}


#Preview {
    ButtonSizeThatFitsExampleView()
}
