//
//  ViewThatFitsExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 04.12.23.
//

import SwiftUI

struct ViewThatFitsExampleView: View {
    var body: some View {
        VStack(alignment: .leading, spacing: 40) {
            Text("This is a long text with more information")
            
            ViewThatFits(in: [.horizontal, .vertical]) {
                Text("This is a long text with more information")
                    .foregroundStyle(.green)
                Text("This is a short text.")
                    .foregroundStyle(.red)
                Text("Very short text")
                    .foregroundStyle(.indigo)
            }
            
            Text("This is a long text with more information")
                .fixedSize()
                .border(Color.yellow)
        }
    }
}

struct HorizontalViewThatFitsExampleView: View {
    var body: some View {
        VStack(alignment: .center, spacing: 40) {
            Text("This is a long text with more information")
            
            ViewThatFits(in: .horizontal) {
                Text("This is a long text with more information")
                    .foregroundStyle(.green)
                Text("This is a short text.")
                    .foregroundStyle(.red)
                Text("Very short text")
                    .foregroundStyle(.indigo)
            }
            
            Text("This is a long text with more information")
                .fixedSize(horizontal: true, vertical: false)
            // frame(width: .infinite, height: 200)
                .border(Color.yellow)
        }
    }
}

struct VerticalViewThatFitsExampleView: View {
    var body: some View {
        VStack(alignment: .leading, spacing: 40) {
            Text("This is a long text with more information")
            
            ViewThatFits(in: .vertical) {
                Text("This is a long text with more information")
                    .foregroundStyle(.green)
                Text("This is a short text.")
                    .foregroundStyle(.red)
                Text("Very short text")
                    .foregroundStyle(.indigo)
            }
            
            Text("This is a long text with more information")
                .fixedSize(horizontal: false, vertical: true)
                //.frame(width: 300, height: .infinity)
                .border(Color.yellow)
        }
    }
}

#Preview {
    ViewThatFitsExampleView()
}

#Preview("vertical", body: {
    VerticalViewThatFitsExampleView()
})

#Preview("horizontal", body: {
    HorizontalViewThatFitsExampleView()
})
