//
//  ImageGalleryView.swift
//  LayoutProject
//
//  Created by Karin Prater on 20.10.23.
//

import SwiftUI

struct ImageGalleryView: View {
    let inspirations = NatureInspiration.examples()
    
    var body: some View {
        GeometryReader(content: { geometry in
            ScrollView {
                LazyVGrid(columns: gridItms(for: geometry.size.width), spacing: 0) {
                    ForEach(inspirations) { inspiration in
                        ImageAspectView(imageName: inspiration.imageName,
                                        frameAspectRatio: 1.5)
                    }
                }
            }
        })
    }
    
    func gridItms(for width: CGFloat) -> [GridItem] {
        let numberOfColumns = Int(round(width / 200))
        
        return Array(repeating: GridItem(.flexible(minimum: 150,
                                                   maximum: 350),
                                         spacing: 0),
                     count: numberOfColumns)
    }
}

#Preview {
    ImageGalleryView()
}
