//
//  EqualSizeButtonExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 20.10.23.
//

import SwiftUI

struct EqualSizeButtonExampleView: View {
    var body: some View {
        VStack(spacing: 30) {
            
            ViewThatFits {
                EqualWidthHStack() {
                    buttons
                }
                .buttonStyle(CustomButtonStyle())
                
                EqualWidthVStack() {
                    buttons
                }
                .buttonStyle(CustomButtonStyle())
            }
            
            Divider()
            
            EqualWidthVStack() {
                buttons
            }
            .buttonStyle(CustomButtonStyle())
            
            Divider()
            
            EqualWidthHStack() {
                buttons
            }
            .buttonStyle(CustomButtonStyle())
            
        }
        .padding()
    }
    
    @ViewBuilder
    var buttons: some View {
        Button(action: {
            
        }, label: {
            Text("First")
        })
        
        Button(action: {
            
        }, label: {
            Text("Second")
        })
        
        Button(action: {
            
        }, label: {
            Text("Third Button")
        })
    }
}

#Preview {
    EqualSizeButtonExampleView()
}
