//
//  FlowLayoutExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 20.10.23.
//

import SwiftUI

struct FlowLayoutExampleView: View {
    
    let pets = ["cat", "dog", "fish" , "horse", "snack", "bird", "rat"]
    
    @State private var selection = Set<String>()
    
    var body: some View {
        VStack(alignment: .leading) {
            Text("Select a pet")
                .bold()
            FlowLayout(alignment: .leading, spacing: 10) {
                ForEach(pets, id: \.self) { pet in
                  Text(pet)
                        .foregroundStyle(.white)
                        .padding(5)
                        .background(selection.contains(pet) ? Color.indigo : Color.gray)
                        .cornerRadius(/*@START_MENU_TOKEN@*/3.0/*@END_MENU_TOKEN@*/)
                        .onTapGesture {
                            if selection.contains(pet) {
                                selection.remove(pet)
                            } else {
                                selection.insert(pet)
                            }
                        }
                }
            }
            
        }
        .font(.title)
    }
}

#Preview {
    FlowLayoutExampleView()
}
