//
//  ImageRowView.swift
//  LayoutProject
//
//  Created by Karin Prater on 20.10.23.
//

import SwiftUI

struct ImageRowView: View {
    var body: some View {
        VStack(spacing: 40) {
            HStack(spacing: 0) {
                Image("beach-view")
                    .resizable()
                    .scaledToFit()
                    .frame(width: 78)
                Image("bridge")
                    .resizable()
                    .scaledToFit()
                    .frame(width: 210)
                Image("dog_2")
                    .resizable()
                    .scaledToFit()
                    .frame(width: 105)
            }
            
            ImageCollectionHStack(spacing: 0) {
                Image("beach-view")
                    .resizable()
                    .scaledToFit()
                Image("bridge")
                    .resizable()
                    .scaledToFit()
                Image("dog_2")
                    .resizable()
                    .scaledToFit()
            }
        }
    }
}

fileprivate struct ImageCollectionView: View {
    
    let images = [["bridge", "green-tree-sun"],
                  ["beach-view", "beach"],
                  ["leaves", "trees-moos", "tree-sun"],
                  ["mont-blanc"]]
    
    let spacing: CGFloat = 5
    var body: some View {
        ScrollView {
            LazyVStack(spacing: spacing) {
                ForEach(images, id: \.self) { row in
                    ImageCollectionHStack(spacing: spacing) {
                        ForEach(row, id: \.self) { imageName in
                            Image(imageName)
                                .resizable()
                                .scaledToFit()
                        }
                    }
                }
            }
        }
    }
}


#Preview {
    ImageRowView()
}

#Preview {
    ImageCollectionView()
}
