//
//  ImageCollectionRatioExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 20.10.23.
//

import SwiftUI

struct ImageCollectionRatioExampleView: View {
    var body: some View {
        ScrollView {
         
            HStack(spacing: 1) {
                ImageAspectView(imageName: "mountain")
                ImageAspectView(imageName: "sky")
                ImageAspectView(imageName: "leaves")
            }
      
            PriorityWidthHStack(spacing: 1) {
                ImageFillView(imageName: "mountain")
                    .layoutPriority(0.3)
                
                ImageFillView(imageName: "sky")
                    .layoutPriority(0.5)
                
                ImageFillView(imageName: "leaves")
                    .layoutPriority(0.2)
            }
            .frame(height: 150)
        }
    }
}

fileprivate struct ImageFillView: View {
    
    let imageName: String
    
    var body: some View {
        Color.cyan
            .overlay {
                Image(imageName)
                    .resizable()
                    .aspectRatio(nil, contentMode: .fill)
            }
            .clipped()
    }
}



#Preview {
    ImageCollectionRatioExampleView()
}
