//
//  PreferenceExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 20.10.23.
//

import SwiftUI

struct PreferenceExampleView: View {
    
    let inspirations = NatureInspiration.examples()
    
    var body: some View {
        NavigationStack {
            
            ScrollView {
                LazyVStack(alignment: .leading, spacing: 10, content: {
                    ForEach(inspirations) { inspiration in
                        NavigationLink {
                            InspirationDetailView(inspiration: inspiration)
                                .navigationTitle(inspiration.name)
                        } label: {
                            InspirationRow(inspiration: inspiration)
                        }
                        .buttonStyle(.plain)
                    }
                })
                .padding()
            }
            .navigationTitle("Inspirations")
            
        }
       
        
    }
}

#Preview {
    PreferenceExampleView()
}
