//
//  ImageGridGalleryView.swift
//  LayoutProject
//
//  Created by Karin Prater on 02.11.23.
//

import SwiftUI

struct ImageGridGalleryView: View {
    
    let inspirations = NatureInspiration.examples()
    
    var body: some View {
        ScrollView {
            LazyVGrid(columns: [GridItem(.adaptive(minimum: 180),
                                         spacing: 0)],
                      alignment: .center,
                      spacing: 0, content: {
                ForEach(inspirations) {
                    ImageAspectView(imageName: $0.imageName, frameAspectRatio: 1.2)
                  
                }
            })
        }
    }
}

struct ImageHGridGalleryView: View {
    
    @StateObject private var photoLoader = PicsumPhotoLoader(page: 2, photosPerPage: 40)
    let rows = Array(repeating: GridItem(.fixed(150), spacing: 0), count: 3)
    
    var body: some View {
        ScrollView(.horizontal) {
            LazyHGrid(rows: rows,
                      alignment: .center,
                      spacing: 0, content: {
                ForEach(photoLoader.photos) {
                    PicsumPhotoImage(photo: $0, 
                                     aspectRatio: 1)
                }
            })
        }
    }
}

#Preview("LazyVGrid") {
    ImageGridGalleryView()
}

#Preview("HGrid") {
    ImageHGridGalleryView()
}
