//
//  InfinitPhotosView.swift
//  LayoutProject
//
//  Created by Karin Prater on 11.11.23.
//

import SwiftUI

struct InfinitePhotosView: View {
    @StateObject private var photoLoader = InfinitePhotoLoader(page: 3, photosPerPage: 10)
    
    var body: some View {
        ScrollView {
            LazyVStack(spacing: 2) {
                ForEach(photoLoader.photos) {
                    PicsumPhotoImage(photo: $0)
                }
                
                ZStack {
                    Color(white: 0.9)
                    ProgressView()
                        .controlSize(.extraLarge)
                }
                .containerRelativeFrame(.vertical)
                .onAppear {
                    photoLoader.loadImages()
                }
                
            }
        }
    }
}

#Preview {
    InfinitePhotosView()
}

