//
//  LazyVStackExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 02.11.23.
//

import SwiftUI

struct LazyVStackExampleView: View {
    
    let emojis = Emoji.examples()
    
    var body: some View {
        ScrollView {
            LazyVStack {
                ForEach(emojis) { emoji in
                    EmojiView(emoji: emoji)
                }
            }
            .padding()
        }
    }
}


#Preview {
    LazyVStackExampleView()
}

struct EmojiView: View {
    let emoji: Emoji
    
    init(emoji: Emoji) {
        print("emoji \(emoji.emojiSting) was initialized")
        self.emoji = emoji
    }
    
    var body: some View {
        GroupBox {
            Text(emoji.emojiSting)
                .font(.title)
            Text(emoji.valueString)
                .frame(maxWidth: .infinity)
        }
        .onAppear {
            print("emoji \(emoji.emojiSting) appears")
        }
    }
}
