//
//  LazyHGridExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 02.11.23.
//

import SwiftUI

struct LazyHGridExampleView: View {
    let emojis = Emoji.examples()
    let rows = Array(repeating: GridItem(.fixed(100)), count: 3)
    
    var body: some View {
        ScrollView {
            Text("Your Emojis")
                .font(.title)
            ScrollView(.horizontal) {
                LazyHGrid(rows: rows) {
                    ForEach(emojis) {
                        EmojiView(emoji: $0)
                    }
                }
                .padding()
            }
            
            Text("adaptive")
            
            ScrollView(.horizontal) {
                LazyHGrid(rows: [GridItem(.adaptive(minimum: 100, maximum: 150))]) {
                    ForEach(emojis) {
                        EmojiView(emoji: $0)
                    }
                }
                .padding()
            }
            .frame(height: 400)
        }
        
    }
}

#Preview {
    LazyHGridExampleView()
}
