//
//  BackgroundStyleExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 02.09.2023.
//

import SwiftUI

struct BackgroundStyleExampleView: View {
    var body: some View {
        VStack {
            Text("Capsule with a gradient background")
                .foregroundStyle(.white)
                .padding()
                .background(Color.cyan.gradient, in: Capsule())
            
            VStack {
                Text("background style")
                    //.foregroundStyle(.white)
                    .padding()
                    .background(in: RoundedRectangle(cornerRadius: 5))
                   // .backgroundStyle(Color.black.gradient)
            }
            .padding()
            .background(Color.yellow)
            
            
            GroupBox {
                Text("GroupBox")
            }
            .backgroundStyle(Color.cyan.gradient)
            
            Button("test") {
            }
            .buttonBorderShape(.capsule)
            .buttonStyle(.borderedProminent)
        }
    }
}

#Preview {
    BackgroundStyleExampleView()
}
