//
//  GradientExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 02.09.2023.
//

import SwiftUI

struct GradientExampleView: View {
    var body: some View {
        VStack {
            HStack(spacing: 1) {
                Rectangle().fill(Color.cyan.gradient)
                
                LinearGradient(colors: [Color.red, Color.cyan, Color.indigo],
                               startPoint: .topLeading,
                               endPoint: .bottomTrailing)
                
                RadialGradient(colors: [Color.red, Color.cyan, Color.indigo],
                               center: .center,
                               startRadius: 0,
                               endRadius: 100)
                
                AngularGradient(colors: [Color.red, Color.cyan, Color.indigo, Color.red],
                                center: .center, angle: .degrees(90))
               // .mask(Text("Text").bold())
                
            }
            .frame(height: 100)
            
            ZStack(alignment: .bottomLeading) {
                Image("cat_4")
                    .resizable()
                    .scaledToFit()
                
                LinearGradient(colors: [Color(white: 0, opacity: 0), Color(white: 0, opacity: 0.5)], startPoint: .top, endPoint: .bottom)
                    .frame(maxHeight: 100)
                
                Text("Cats are awesome")
                    .font(.largeTitle)
                    .foregroundStyle(.white)
                    .padding(.leading)
            }
            
           
        }
    }
}

#Preview {
    GradientExampleView()
}
