//
//  MaterialExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 02.09.2023.
//

import SwiftUI

struct MaterialExampleView: View {
    
    @Environment(\.colorScheme) var colorScheme
    
    var body: some View {
        ZStack {
            Image("abstract-pool-water")
                .resizable()
                .scaledToFill()
            
            if colorScheme == .dark {
                Color.black.opacity(0.5)
            }
            
            HStack {
                ExtractedView()
                
                ExtractedView()
                    .foregroundStyle(.secondary)
                
            }
        }
    }
}

fileprivate struct ExtractedView: View {
    var body: some View {
        VStack {
            Text("ultraThinMaterial")
                .padding()
                .background(.ultraThinMaterial)
            
            Text("thinMaterial")
                .padding()
                .background(.thinMaterial)
            
            Text("regularMaterial")
                .padding()
                .background(.regularMaterial)
            
            Text("thickMaterial")
                .padding()
                .background(.thickMaterial)
            
            Text("ultraThickMaterial")
                .padding()
                .background(.ultraThickMaterial)
            
        }
    }
}

#Preview {
    MaterialExampleView()
}


