//
//  ZStackvsBackgroundView.swift
//  LayoutProject
//
//  Created by Karin Prater on 02.09.2023.
//

import SwiftUI

struct ZStackvsBackgroundView: View {
    var body: some View {
        VStack {
            Text("Cats are awesome")
                .padding()
                .background {
                    Image("abstract-pool-water")
                        .resizable()
                        .scaledToFill()
                }
                .clipped()
            
            ZStack(alignment: .bottomLeading) {
                Image("cat_1")
                    .resizable()
                    .scaledToFit()
                    .overlay {
                        LinearGradient(colors: [Color(white: 1, opacity: 0), Color(white: 1, opacity: 1)], startPoint: .top, endPoint: .bottom)
                    }
                
                Text("Cats are awesome")
                    .font(.largeTitle)
                    .padding(.leading)
            }
            
        }
    }
}

#Preview {
    ZStackvsBackgroundView()
}
