//
//  AvocadoStarView.swift
//  LayoutProject
//
//  Created by Karin Prater on 03.09.2023.
//

import SwiftUI

struct AvocadoStarView: View {
    var body: some View {
        HStack(alignment: .imageTitleAlignementGuide) {
            VStack {
                Text("★★★★")
                    .overlay {
                        Color.blue.frame(height: 1)
                    }
                    .alignmentGuide(.imageTitleAlignementGuide, computeValue: { dimension in
                        dimension[VerticalAlignment.center]
                    })
                
                Text("5 star")
            }
            
            VStack(alignment: .leading) {
                HStack {
                    Text("Avocado Toast")
                        .font(.title)
                        .overlay {
                            Color.blue.frame(height: 1)
                        }
                        .alignmentGuide(.imageTitleAlignementGuide, computeValue: { dimension in
                            dimension[VerticalAlignment.center]
                        })
                    
                    Spacer()
                    Image("avocado_small")
                }
                Text("Avocado, Almond Butter, Bread, Red Pepper Flakes")
                
            }
        }
    }
}

#Preview {
    AvocadoStarView()
}
