//
//  CustomAlignmentGuideExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 03.09.2023.
//

import SwiftUI

struct CustomAlignmentGuideExampleView: View {
    var body: some View {
        HStack(alignment: .firstThird, spacing: 1) {
            HorizontalStripesView()
                .frame(height: 100)
            
            HorizontalStripesView()
                .frame(height: 50)
            
            HorizontalStripesView()
                .frame(height: 130)
        }
    }
}

fileprivate struct HorizontalStripesView: View {
    var body: some View {
        VStack(spacing: 1) {
            Color.yellow
            Color.orange
            Color.red
        }
    }
}

fileprivate struct FirstThirdAlignment: AlignmentID {
    static func defaultValue(in context: ViewDimensions) -> CGFloat {
        context.height / 3
    }
}

extension VerticalAlignment {
    static let firstThird = VerticalAlignment(FirstThirdAlignment.self)
}


#Preview {
    CustomAlignmentGuideExampleView()
}
