//
//  ImageTitleAlignmentExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 03.09.2023.
//

import SwiftUI

struct ImageTitleAlignmentExampleView: View {
    var body: some View {
        HStack(alignment: .imageTitleAlignementGuide) {
            VStack {
                ResizableImageView(imageName: "cat_1")
                    .alignmentGuide(.imageTitleAlignementGuide, computeValue: { dimension in
                        dimension[.bottom]
                    })
                
                Text("Minime")
                    .font(.title)
            }
            .border(Color.black)
            
            VStack {
                ResizableImageView(imageName: "mountain")
                    .alignmentGuide(.imageTitleAlignementGuide, computeValue: { dimension in
                        dimension[.bottom]
                    })
                
                
                Text("Mountains")
                    .font(.title)
                
                Text("Increadible view during sunset")
            }
            .border(/*@START_MENU_TOKEN@*/Color.black/*@END_MENU_TOKEN@*/)
            
        }
    }
}

fileprivate struct ImageTitleAlignment: AlignmentID {
    static func defaultValue(in context: ViewDimensions) -> CGFloat {
        context[.bottom]
    }
}

extension VerticalAlignment {
    static let imageTitleAlignementGuide = VerticalAlignment(ImageTitleAlignment.self)
}


#Preview {
    ImageTitleAlignmentExampleView()
}
