//
//  WeekdayAlignmentView.swift
//  LayoutProject
//
//  Created by Karin Prater on 03.09.2023.
//

import SwiftUI

struct WeekdayAlignmentView: View {
    var body: some View {
        VStack(alignment: .leading, content: {
            ForEach(Weekday.allCases) { weekday in
                
                Text(weekday.name())
                    .padding(.horizontal)
                    .background(Color(red: 0, green: 0.75, blue: Double(weekday.numberValue()) / 7 ), in: Capsule())
                    .alignmentGuide(.leading, computeValue: { dimension in
                        if weekday.numberValue() % 2 == 0 {
                            return dimension[.leading]
                        } else {
                            return dimension[.trailing]
                        }
                        
                        
                    })
                
            }
            
            
        })
  
    }
}

#Preview {
    WeekdayAlignmentView()
}
