//
//  ExpenseGridView.swift
//  LayoutProject
//
//  Created by Karin Prater on 03.09.2023.
//

import SwiftUI

struct ExpenseGridView: View {
    
    let expenseData = ExpenseData.examples()
    let totalExpense: Double = 13500
    
    var body: some View {
        Grid(alignment: .trailing) {
            
            GridRow {
                
                Color.clear
                    .gridCellUnsizedAxes([.vertical, .horizontal])
                
                Text("Fixed")
                Text("Variable")
                Text("All")
                    .bold()
            }
            
            Divider()
                .gridCellUnsizedAxes([.vertical, .horizontal])
            
            ForEach(expenseData) { data in
                GridRow {
                    Text(month(for: data.month))
                    Text(String(format: "%.2f", data.fixedExpenses))
                    Text(String(format: "%.2f", data.variableExpenses))
                    Text(String(format: "%.2f", data.totalExpenses))
                }
            }
            
            Divider()
                .gridCellUnsizedAxes([.vertical, .horizontal])
            
            GridRow {
                Text("Total")
                    .bold()
                
                Color.clear
                    .gridCellUnsizedAxes([.vertical, .horizontal])
                    .gridCellColumns(2)
                
                Text("$" + String(format: "%.2f", totalExpense))
                    .bold()
            }
        }
    }
    
    let formatter = DateFormatter()
    
    func month(for number: Int) -> String {
        formatter.shortMonthSymbols[number - 1]
    }
}

#Preview {
    ExpenseGridView()
}
