//
//  BadgeExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 05.09.2023.
//

import SwiftUI

struct BadgeExampleView: View {
    var body: some View {
        VStack {
            
            Text("Adding a badge")
                
            ZStack(alignment: .topTrailing) {
                Image("fish_3")
                    .resizable()
                    .scaledToFit()
                    .frame(height: 100)
                
                Text("10")
                    .padding(5)
                    .background {
                        Circle().fill(.white)
                            .shadow(radius: 5)
                    }
                    .alignmentGuide(.top, computeValue: { dimension in
                        dimension.height / 2
                    })
                    .alignmentGuide(.trailing, computeValue: { dimension in
                        dimension.width / 2
                    })
                
            }
            
            
        }
    }
}

fileprivate struct BadBadgeExampleView: View {
    var body: some View {
        VStack {
            
            Text("Adding a badge")
                
            Image("fish_3")
                .resizable()
                .scaledToFit()
                .frame(height: 100)
                .overlay(alignment: .topTrailing) {
                    Text("10")
                        .padding(5)
                        .background {
                            Circle().fill(.white)
                                .shadow(radius: 5)
                        }
                        .offset(x: 12, y: -15)
                }
            
            
        }
    }
}


#Preview {
    BadgeExampleView()
}


#Preview {
    BadBadgeExampleView()
}
