//
//  FancyBackgroundView.swift
//  LayoutProject
//
//  Created by Karin Prater on 05.09.2023.
//

import SwiftUI

struct FancyBackgroundView: View {
    
    @State private var animate: Bool = false
    
    var body: some View {
        ZStack {
            Color.backgroundColor2
            
            Circle()
                .fill(Color.accentColor)
                .frame(width: /*@START_MENU_TOKEN@*/100/*@END_MENU_TOKEN@*/)
                .opacity(0.7)
                .offset(x: animate ? -100 : 100,
                        y: animate ? -50 : 100)
                .blur(radius: animate ? 80 : 100)
            
            Circle()
                .fill(Color.cyan)
                .opacity(/*@START_MENU_TOKEN@*/0.8/*@END_MENU_TOKEN@*/)
                .blur(radius: 80)
            
                .frame(width: /*@START_MENU_TOKEN@*/100/*@END_MENU_TOKEN@*/)
                .offset(x: animate ? -200 : 100,
                        y: animate ? 100 : -200)
        }
        .onAppear {
            withAnimation(Animation.easeInOut(duration: 5).repeatForever()) {
                animate = true
            }
        }
    }
}

#Preview {
    FancyBackgroundView()
}
