//
//  PositionExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 05.09.2023.
//

import SwiftUI

struct PositionExampleView: View {
    var body: some View {
        VStack {
            ZStack {
                CrossHairView()
                
                Circle()
                    .fill(Color.cyan)
                    .frame(width: 50, height: 50)
                    .position(x: 50, y: 50)
                    
            }
            .frame(height: 400)
            
            
            Text("position")
                .position(x: 10.0, y: 0)
            
        }
    }
}


struct OffsetExampleView: View {
    var body: some View {
        VStack {
            ZStack {
                
                CrossHairView()
                
                Circle()
                    .fill(Color.cyan)
                    .frame(width: 50, height: 50)
                    .offset(x: 50, y: -50)
                    
            }
            .frame(height: 400)
            
            
            Text("offset")
                .offset(x: 10.0, y: 10.0)
        }
    }
}


struct CrossHairView: View {
    var body: some View {
        ZStack {
            Color.gray.frame(width: 1)
            Color.gray.frame(height: 1)
        }.border(Color.gray)
    }
}

#Preview("position") {
    PositionExampleView()
}

#Preview("offset") {
    OffsetExampleView()
}
