//
//  ControlGroupExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 01.09.2023.
//

import SwiftUI

struct ControlGroupExampleView: View {
    var body: some View {
        VStack {
            
            HStack {
                Button("First") { }
                Button("Second") { }
                Button("Third") { }
            }
            
            ControlGroup("Control Group", systemImage: "grear") {
                Button("First") { }
                Button("Second") { }
                Button("Third") { }
            }
            
            ControlGroup("Control Group", systemImage: "grear") {
                Button("First") { }
                Button("Second") { }
                Button("Third") { }
            }
            .controlGroupStyle(.compactMenu)
            
            List {
                ControlGroup("Control Group", systemImage: "grear") {
                    Button("First") { }
                    Button("Second") { }
                    Button("Third") { }
                    
                    Picker("Picker", selection: .constant(false)) {
                        Text("true").tag(true)
                        Text("false").tag(false)
                    }
                }
               // .controlGroupStyle(.palette)

            }
            
            ControlGroup("Control Group", systemImage: "grear") {
                Button("First") { }
                Button("Second Second") { }
                Button("Third") { }
            }
            .controlGroupStyle(PinkControlGroupStyle())
            
        }.padding()
       
    }
}

struct PinkControlGroupStyle: ControlGroupStyle {
    func makeBody(configuration: Configuration) -> some View {
        VStack {
            configuration.content
                .foregroundColor(.white)
                .padding(.vertical, 5)
                .padding(.horizontal, 10)
                .frame(maxWidth: .infinity)
                .background(RoundedRectangle(cornerRadius: 5).fill(Color.accentColor))
        }
        .fixedSize(horizontal: true, vertical: false)
    }
}


#Preview {
    ControlGroupExampleView()
}
