//
//  GroupBoxExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 01.09.2023.
//

import SwiftUI

struct GroupBoxExampleView: View {
    @State private var userAgreed: Bool = false
    let agreementText: String = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam fermentum vestibulum est. Cras rhoncus. Pellentesque habitant mobi tristique senectus et netus et malesuada fames ac turpis egestas."
    
    var body: some View {
        GroupBox(label:  Label("End-User Agreement", 
                               systemImage: "building.columns"),
                 content: {
            ScrollView(.vertical, showsIndicators: true) {
                Text(agreementText)
                    .font(.footnote)
            }
            .frame(height: 100)
            Toggle(isOn: $userAgreed) {
                Text("I agree to the above terms")
            }
        })
        .padding()
        .groupBoxStyle(.automatic)
    }
}

#Preview {
    GroupBoxExampleView()
}
