//
//  GroupBoxStylingExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 01.09.2023.
//

import SwiftUI

struct GroupBoxStylingExampleView: View {
    
    let titleText = "End-User Agreement"
    let agreementText: String = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam fermentum vestibulum est. Cras rhoncus. Pellentesque habitant mobi tristique senectus et netus et malesuada fames ac turpis egestas."
    
    var body: some View {
        VStack {
            
            GroupBox(titleText) {
                Text(agreementText)
            }
            .groupBoxStyle(OrangeGroupBoxStyle())
            
        }
        .padding()
    }
}

struct OrangeGroupBoxStyle: GroupBoxStyle {
    func makeBody(configuration: Configuration) -> some View {
        VStack(alignment: .leading) {
            configuration.label
                .font(.title)
            configuration.content
        }
        .padding()
        .background(RoundedRectangle(cornerRadius: 5.0).fill(Color.orange).shadow(radius: 5))
    }
}


#Preview {
    GroupBoxStylingExampleView()
}
