//
//  SpacerExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 01.09.2023.
//

import SwiftUI

struct SpacerExampleView: View {
    
    let superhero = SuperHero.example
    
    var body: some View {
        VStack(alignment: .leading) {
            
            ResizableImageView(imageName: superhero.imageName)
            
            Text(superhero.name)
                .font(.title)
            
            Text(superhero.biography)
            
            HStack {
                Spacer()
                Button("More") {
                    
                }
            }
            
            Spacer()
            
            HStack(spacing: 0) {
                Spacer(minLength: 0)
                Button("First") { }
                Spacer(minLength: 10)
                Button("Second") { }
                Spacer(minLength: 10)
                Button("Third") { }
                Spacer(minLength: 0)
            }
            .buttonStyle(.borderedProminent)
            
           Spacer()
        }
    }
}

#Preview {
    SpacerExampleView()
}
