//
//  HStackExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 01.09.2023.
//

import SwiftUI

struct HStackExampleView: View {
    var body: some View {
        VStack(spacing: 50) {
            HStack(alignment: .top, spacing: 20) {
                Text("First")
                    .font(.title)
                    .border(Color.yellow)
                Text("Second View")
                    .font(.caption)
                    .border(Color.orange)
                Text("Third View")
                    .border(Color.red)
            }
            .background(Color.gray)
            
            HStack(alignment: .center, spacing: 20) {
                Text("First")
                    .font(.title)
                    .border(Color.yellow)
                Text("Second View")
                    .font(.caption)
                    .border(Color.orange)
                Text("Third View")
                    .border(Color.red)
            }
            .background(Color.gray)
            
            HStack(alignment: .bottom, spacing: 20) {
                Text("First")
                    .font(.title)
                    .border(Color.yellow)
                Text("Second View")
                    .font(.caption)
                    .border(Color.orange)
                Text("Third View")
                    .border(Color.red)
            }
            .background(Color.gray)
            
            HStack(alignment: .firstTextBaseline, spacing: 20) {
                Text("First")
                    .font(.title)
                    .border(Color.yellow)
                Text("Second View")
                    .font(.caption)
                    .border(Color.orange)
                Text("This is a much longer text that needs two lines")
                    .border(Color.red)
                
                Image(systemName: "person")
            }
            .background(Color.gray)
            
            HStack(alignment: .lastTextBaseline, spacing: 20) {
                VStack {
                    Text("First")
                        .font(.title)
                    Text("Subheadline")
                }
                .border(Color.yellow)
                
                Text("Second View")
                    .font(.caption)
                    .border(Color.orange)
                Text("This is a much longer text that needs two lines")
                    .border(Color.red)
                
                Image(systemName: "person")
            }
            .background(Color.gray)
        }
    }
}

#Preview {
    HStackExampleView()
}
