//
//  VStackExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 01.09.2023.
//

import SwiftUI

struct VStackExampleView: View {
    var body: some View {
        VStack(spacing: 50) {
            VStack(alignment: .leading, spacing: 20) {
                Text("First")
                    .border(Color.yellow)
                Text("Second View")
                    .border(Color.orange)
                Text("Third View")
                    .border(Color.red)
            }
            .background(Color.gray)
            
            VStack(alignment: .center, spacing: 20) {
                Text("First")
                    .border(Color.yellow)
                Text("Second View")
                    .border(Color.orange)
                Text("Third View")
                    .border(Color.red)
            }
            .background(Color.gray)
            
            VStack(alignment: .trailing, spacing: 20) {
                Text("First")
                    .border(Color.yellow)
                Text("Second View")
                    .border(Color.orange)
                Text("Third View")
                    .border(Color.red)
            }
            .background(Color.gray)
        }
    }
}

#Preview("VStack", traits: .sizeThatFitsLayout) {
    VStackExampleView()
}
