//
//  ZStackExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 01.09.2023.
//

import SwiftUI

struct ZStackExampleView: View {
    var body: some View {
        ZStack(alignment: .topLeading) {
            Text("First")
                .font(.title)
                .padding(50)
                .background(Color.yellow)
            
            Text("Second View")
                .font(.caption)
                .background(Color.orange)
                .zIndex(1)
            
            Text("Third View")
                .padding(10)
                .background(Color.red)
        }
        .background(Color.gray)
    }
}

fileprivate struct CatExampleView: View {
    var body: some View {
        ZStack(alignment: .bottomLeading) {
            ResizableImageView(imageName: "cat_1")
            
            Text("Cats are awesome")
                .font(.title).bold()
                .background(Color.white)
                .padding()
        }
    }
}

#Preview {
    ZStackExampleView()
}

#Preview("Cat image") {
     CatExampleView()
}
