//
//  CardContainerExampleViw.swift
//  LayoutProject
//
//  Created by Karin Prater on 18.10.23.
//

import SwiftUI

struct CardContainerExampleView: View {
    var body: some View {
        VStack {
            ZStack {
                RoundedRectangle(cornerRadius: 25.0)
                    .fill(Color.cyan.gradient)
                VStack {
                    Text("Hello, World!")
                    Text("second")
                }
                    .padding()
            }
            .aspectRatio(1, contentMode: .fit)
            
            CardContainer {
                Text("Hello, World!")
                Text("second")
            }
        }
        .padding()
    }
}

struct CardContainer<Content> : View where Content : View {
    
    let content: () -> Content
    
    init(@ViewBuilder content: @escaping () -> Content) {
        self.content = content
    }
    
    var body: some View {
        ZStack {
            RoundedRectangle(cornerRadius: 25.0)
                .fill(Color.cyan.gradient)
            
            VStack(alignment: .center,
                   spacing: 10,
                   content: content)
            .padding()
        }
        .aspectRatio(1, contentMode: .fit)
    }
}


#Preview {
    CardContainerExampleView()
}
