//
//  CustomButtonView.swift
//  LayoutProject
//
//  Created by Karin Prater on 18.10.23.
//

import SwiftUI

struct CustomButtonView: View {
    var body: some View {
        VStack(spacing: 50) {
            Button(action: {
                
            }, label: {
                Image(systemName: "circle")
                Text("Button")
            })
            
            CustomButton {
                
            } label: {
                Image(systemName: "circle")
                Text("Custom Button")
            }

        }
    }
}

struct CustomButton<Label> : View where Label : View  {
    
    let action: () -> Void
    let label: Label
    
    init(action: @escaping () -> Void, @ViewBuilder label: () -> Label) {
        self.action = action
        self.label = label()
    }
    
    var body: some View {
        HStack {
            label
        }
        .foregroundColor(.accent)
        .onTapGesture {
            action()
        }
    }
}


#Preview {
    CustomButtonView()
}
