//
//  ReusableComponentsExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 18.10.23.
//

import SwiftUI

struct ReusableComponentsExampleView: View {
    
    let isLoggedIn: Bool = false
    
    var body: some View {
    
        VStack(alignment: .leading) {
            Text("How to organize and structure your code")
                .font(.title)
            
            Divider()
            
            MySubView(isLoggedIn: isLoggedIn)
           
            logInStateView
                .border(Color.gray)
            
            Divider()
            
            createLogginInfo()
        }
        .padding()
    }
    
    var logInStateView: some View {
        Group {
            if isLoggedIn {
                Label("You are logged in", systemImage: "person")
            } else {
                Text("You need to log in")
            }
        }
    }
    
    @ViewBuilder
    var logInStateViewTwo: some View {
        if isLoggedIn {
            Label("You are logged in", systemImage: "person")
        } else {
            Text("You need to log in")
        }
    }
    
    @ViewBuilder
    func createLogginInfo() -> some View {
        Label("You are logged in", systemImage: "person")
        Text("Take advanage of pro features")
    }
}

// extract subviews
struct MySubView: View {
    
    let isLoggedIn: Bool
    
    var body: some View {
        if isLoggedIn {
            Label("You are logged in", systemImage: "person")
        } else {
            Text("You need to log in")
        }
    }
}

#Preview {
    ReusableComponentsExampleView()
}
