//
//  ScrollCustomExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 07.11.23.
//

import SwiftUI

struct ScrollCustomExampleView: View {
    
    let inspirations = NatureInspiration.examples()
    
    @State private var number: Int = 1
    
    var body: some View {
        VStack {
            // ScrollView(.horizontal, showsIndicators: true) {
            
            ScrollView(.horizontal) {
                HStack {
                    ForEach(inspirations) { inspiration in
                        
                        ImageAspectView(imageName: inspiration.imageName,
                                        frameAspectRatio: 1.5, cornerRadius: 15)
                        .frame(height: 150)
                        .shadow(radius: 5)
                        .overlay(alignment: .bottomTrailing) {
                            Text(inspiration.name)
                                .bold()
                                .foregroundStyle(.white)
                                .padding()
                        }
                    }
                    
                    
                }
                
                
            }
            
            .scrollClipDisabled(true)
            .contentMargins(.horizontal, 20, for: .scrollContent)
            .contentMargins(.vertical, 20, for: .scrollContent)
            //  .contentMargins(-20, for: .scrollIndicators)
            // .scrollIndicators(.hidden)
            //  .scrollIndicatorsFlash(onAppear: true)
            .scrollIndicatorsFlash(trigger: number)
          //  .scrollDisabled(true)
            
            
            Button {
                number += 1
            } label: {
                Text("increase number \(number)")
            }

        }
    }
}

#Preview {
    ScrollCustomExampleView()
}
