//
//  ScrollExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 07.11.23.
//

import SwiftUI

struct ScrollExampleView: View {
    var body: some View {
        ScrollView {
              LazyVStack(alignment: .leading) {
                  ForEach(0..<100) {
                      Text("Row \($0)")
                  }
              }
              .padding()
          }
    }
}

fileprivate struct DetailScrollExampleView: View {
    let inspiration = NatureInspiration.example1()
    var body: some View {
        ScrollView {
            VStack {
                ResizableImageView(imageName: inspiration.imageName)
                Text(inspiration.name)
                    .font(.title)
                Text(inspiration.description)
            }
        }
    }
}

#Preview {
    ScrollExampleView()
}

#Preview {
    DetailScrollExampleView()
}
