//
//  ScrollContainerRelativeFrameExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 07.11.23.
//

import SwiftUI

struct ScrollContainerRelativeFrameExampleView: View {
    let inspirations = NatureInspiration.examples()
    let padding: CGFloat = 10
    let imageSize: CGFloat = 100
    
    var rows: [GridItem] {
        Array(repeating: GridItem(.fixed(imageSize)), count: 3)
    }
    
    var body: some View {
        ScrollView(.horizontal) {
            LazyHGrid(rows: rows, spacing: padding) {
                ForEach(inspirations) { inspiration in
                    InspirationRowView(inspiration: inspiration,
                                       imageSize: imageSize)
                    .containerRelativeFrame(.horizontal) { length, axis in
                        length - padding * 2 - imageSize * 0.5
                    }
                }
            }
            .padding(padding)
        }
        
    }
}

#Preview {
    ScrollContainerRelativeFrameExampleView()
}
