//
//  ScrollContentGeometryReaderExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 07.11.23.
//

import SwiftUI

struct ScrollContentGeometryReaderExampleView: View {
    let inspirations = NatureInspiration.examples()
    let padding: CGFloat = 10
    let imageSize: CGFloat = 100
    
    var rows: [GridItem] {
        Array(repeating: GridItem(.fixed(imageSize)), count: 3)
    }
    
    var body: some View {
        GeometryReader { proxy in
            ScrollView(.horizontal) {
                LazyHGrid(rows: rows, spacing: padding) {
                    ForEach(inspirations) { inspiration in
                        InspirationRowView(inspiration: inspiration,
                                           imageSize: imageSize)
                        .frame(width: proxy.size.width - padding * 2 - imageSize * 0.5)
                    }
                }
                .padding(padding)
            }
        }
    }
}

#Preview {
    ScrollContentGeometryReaderExampleView()
}
