//
//  BidirectionalScrollExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 07.11.23.
//

import SwiftUI

struct BidirectionalScrollExampleView: View {
    let emojis = Emoji.examples()
    
    let columns = Array(repeating: GridItem(.fixed(150)), count: 5)
    
    var body: some View {
        ScrollView([.horizontal, .vertical]) {
            LazyVGrid(columns: columns,
                      alignment: .center,
                      spacing: 10, content: {
                ForEach(emojis) {
                    EmojiView(emoji: $0)
                }
            })
            .padding()
        }
    }
}

#Preview {
    BidirectionalScrollExampleView()
}
