//
//  DefaultScrollPositionExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 10.11.23.
//

import SwiftUI

struct DefaultScrollPositionExampleView: View {
    let emojis = Emoji.examples()
    
    var body: some View {
        ScrollView {
            LazyVStack {
                ForEach(emojis) { emoji in
                    GroupBox {
                        Text(emoji.emojiSting)
                            .font(.title)
                        Text("\(emoji.value)")
                            .frame(maxWidth: .infinity)
                    }
                }
            }
            .padding()
            .scrollTargetLayout()
        }
     .defaultScrollAnchor(.top)
       // .defaultScrollAnchor(.init(x: 0, y: 0.3))
        .overlay {
            CrossHairView()
        }
    }
}

fileprivate struct InitialScrollPositionExampleView: View {
    let emojis: [Emoji]
    @State private var scrollID: Int? = nil
    
    /*
     not working
    init(emojis: [Emoji]) {
        self.emojis = emojis
        self.scrollID = emojis.last?.id
    }
     */
    
    var body: some View {
        ScrollView {
            LazyVStack {
                ForEach(emojis) { emoji in
                    GroupBox {
                        Text(emoji.emojiSting)
                            .font(.title)
                        Text("\(emoji.value)")
                            .frame(maxWidth: .infinity)
                    }
                }
            }
            .padding()
            .scrollTargetLayout()
        }
        .scrollPosition(id: $scrollID, anchor: .center)
        .onAppear {
            scrollID = 128545
        }
        .overlay {
            CrossHairView()
        }
    }
}

#Preview("center") {
    DefaultScrollPositionExampleView()
}

#Preview("angry emoji") {
    InitialScrollPositionExampleView(emojis: Emoji.examples())
}
