//
//  ScrollViewReaderExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 07.11.23.
//

import SwiftUI

struct ScrollViewReaderExampleView: View {
    let emojis = Emoji.examples()
    
    @Namespace var bottomID
    
    var body: some View {
        ScrollViewReader(content: { proxy in
            HStack {
                Button(action: {
                    withAnimation(.easeInOut(duration: 2)) {
                        proxy.scrollTo(128545, anchor: .center)
                    }
                    
                }, label: {
                    Text("scroll to 😡")
                })
                .buttonStyle(.borderedProminent)
                
                Button(action: {
                    withAnimation(.easeInOut(duration: 2)) {
                        proxy.scrollTo(bottomID)
                    }
                    
                }, label: {
                    Text("scroll to bottom")
                })
                .buttonStyle(.bordered)
            }
            
            ScrollView {
                LazyVStack {
                    ForEach(emojis) { emoji in
                        GroupBox {
                            Text(emoji.emojiSting)
                                .font(.title)
                            Text("\(emoji.value)")
                                .frame(maxWidth: .infinity)
                        }
                    }
                    
                    Button("Finish") {
                        
                    }
                    .buttonStyle(.borderedProminent)
                    .id(bottomID)
                }
                .padding()
            }
            .overlay {
                CrossHairView()
            }
        })
    }
}

#Preview {
    ScrollViewReaderExampleView()
}
