//
//  AspectRatioExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 12.09.2023.
//

import SwiftUI

struct AspectRatioExampleView: View {
    var body: some View {
        VStack {
            Text("Hello, World!")
                .aspectRatio(/*@START_MENU_TOKEN@*/1.5/*@END_MENU_TOKEN@*/, contentMode: .fill)
            
            Ellipse()
                .fill(Color.yellow)
                .aspectRatio(1.5, contentMode: .fit)
                .frame(height: 100)
            
            Color.cyan
                .aspectRatio(2, contentMode: .fit)
            
            ZStack {
                Color.cyan
                Text("this is a text that is a bit longer")
            }
            .aspectRatio(1, contentMode: .fit)
            .frame(height: /*@START_MENU_TOKEN@*/100/*@END_MENU_TOKEN@*/)
            
            
            HStack {
                Ellipse()
                    .stroke(Color.red)
                RoundedRectangle(cornerRadius: 25.0)
                    .fill(Color.green)
                Rectangle()
                    .fill(Color.yellow)
            }
            .aspectRatio(2, contentMode: .fit)
            /*
            .overlay {
                GeometryReader(content: { geometry in
                    Text("Content \(geometry.size.width) - \(geometry.size.height)")
                })
            }
            */
        }
    }
}

fileprivate struct ImageAspectRatioExampleView: View {
    var body: some View {
        VStack {
            /*
            Image(.cat1)
                .resizable()
                .aspectRatio(nil, contentMode: .fit)
            */
            
            ImageAspectView(imageName: "cat_1", frameAspectRatio: 1)
                .frame(height: 200)
            
            HStack(spacing: 0) {
                ImageAspectView(imageName: "cat_1",
                                frameAspectRatio: 1)
                ImageAspectView(imageName: "cat_2", 
                                frameAspectRatio: 1)
                ImageAspectView(imageName: "cat_3", 
                                frameAspectRatio: 1)
            }
            
            HStack(spacing: 0) {
                ResizableImageView(imageName: "cat_1")
                    .frame(width: 100)
                ResizableImageView(imageName: "beach")
                    .frame(width: 200)
                ResizableImageView(imageName: "dog_2")
                    .frame(width: 100)
            }
            
        }
    }
}

#Preview("Colors and Shapes") {
    AspectRatioExampleView()
}

#Preview("Images") {
    ImageAspectRatioExampleView()
}
