//
//  ClipExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 12.09.2023.
//

import SwiftUI

struct ClipExampleView: View {
    var body: some View {
        VStack {
            Text("Hello, World!")
                .padding()
                .background(Color.yellow)
                .clipShape(RoundedRectangle(cornerRadius: 15))
            
            Text("Hello, World!")
                .padding()
                .background(Color.yellow)
                .clipShape(Capsule())
            
            Image(.avocadoLarge)
                .scaleEffect(CGSize(width: 2.0, height: 2.0), anchor: .topLeading)
                .clipped()
            
            
            Image(.cat1)
                .resizable()
                .scaledToFill()
                .frame(width: 100, height: 100, alignment: .top)
                .clipped()
            
            
            Image(.cat1)
                .resizable()
                .scaledToFill()
                .frame(width: 100, height: 100, alignment: .center)
                .clipShape(Circle())
        }
    }
}

#Preview {
    ClipExampleView()
}
