//
//  MaskExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 12.09.2023.
//

import SwiftUI

struct MaskExampleView: View {
    var body: some View {
        
        ZStack {
            Image(.beach)
                .resizable()
                .scaledToFit()
            
            Image(.beach)
                .resizable()
                .scaledToFit()
                .blur(radius: 3.0) // icing glass effect like materiels
                .mask(alignment: .bottomLeading) {
                    Text("Use this to mask the image")
                        .font(.title)
                        .fontWeight(.heavy)
                        .padding()
                        .border(Color.black, width: 10)
                        .padding()
                }
                .opacity(0.8)
                .brightness(/*@START_MENU_TOKEN@*/0.60/*@END_MENU_TOKEN@*/)
                .shadow(radius: 1)
        }
    }
}

#Preview {
    MaskExampleView()
}
