//
//  ContainerRelativeFrameExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 12.09.2023.
//

import SwiftUI

struct ContainerRelativeFrameExampleView: View {
    var body: some View {
        VStack {
            Image(.cat1)
                .resizable()
                .scaledToFill()
                .containerRelativeFrame(.vertical) { length, axis in
                    return length / 2
                }
                .clipped()
            
            Color.gray
        }
    }
}

fileprivate struct ScrollColorExampleView: View {
    
    let colors = [ Color.blue,  Color.red, Color.yellow]
    
    var body: some View {
        ScrollView(.horizontal) {
            HStack {
                ForEach(colors, id: \.self) { color in
                    color
                        .containerRelativeFrame([.horizontal, .vertical])
                }
            }
        }
    }
}

#Preview {
    ContainerRelativeFrameExampleView()
}

#Preview("Scroll Color") {
    ScrollColorExampleView()
}
