//
//  CountRelativeFrameExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 12.09.2023.
//

import SwiftUI

struct CountRelativeFrameExampleView: View {
    
    let inspriations = NatureInspiration.examples()
    let spacing: CGFloat = 10
    
    var body: some View {
        VStack {
            ScrollView(.horizontal) {
                LazyHStack(spacing: spacing) {
                    ForEach(inspriations) { inspiration in
                        
                        ImageAspectView(imageName: inspiration.imageName,
                                        frameAspectRatio: 1)
                        .containerRelativeFrame(.horizontal,
                                                count: 5,
                                                span: 2,
                                                spacing: spacing)
                    }
                }
            }
            
            ScrollView(.horizontal) {
                LazyHStack(spacing: spacing) {
                    ForEach(inspriations) { inspiration in
                        
                        ImageAspectView(imageName: inspiration.imageName,
                                        frameAspectRatio: 1)
                        .containerRelativeFrame(.horizontal, alignment: .leading) { length, axis in
                            if axis == .horizontal {
                                if length > 500 {
                                    return length * 0.20
                                } else {
                                    return length * 0.40
                                }
                                
                            } else {
                                return length
                            }
                        }
                    }
                }
            }
            
        }
    }
}

#Preview {
    CountRelativeFrameExampleView()
}
