//
//  FrameExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 10.09.2023.
//

import SwiftUI

struct FrameExampleView: View {
    var body: some View {
        VStack(alignment: .trailing) {
            
            Text(/*@START_MENU_TOKEN@*/"Hello, World!"/*@END_MENU_TOKEN@*/)
                .frame(maxWidth: .infinity, alignment: .trailing)
                .background(Color.yellow)
            
            HStack {
                Spacer()
                Text(/*@START_MENU_TOKEN@*/"Hello, World!"/*@END_MENU_TOKEN@*/)
            }
            
            Text(/*@START_MENU_TOKEN@*/"Hello, World!"/*@END_MENU_TOKEN@*/)
            
            
            Divider()
            
            Color.gray
                .frame(height: 1)
            
            HStack(spacing: 0) {
                Color.red
                Color.orange
                Color.yellow
                Color.green
                Color.blue
            }
            .frame(width: /*@START_MENU_TOKEN@*/100/*@END_MENU_TOKEN@*/, height: 100)
            .mask(Circle())
            
        }
    }
}

fileprivate struct IdealFrameExampleView: View {
    var body: some View {
        ScrollView {
            Text("Hello, World!")
                .frame(minWidth: /*@START_MENU_TOKEN@*/0/*@END_MENU_TOKEN@*/,
                       idealWidth: /*@START_MENU_TOKEN@*/100/*@END_MENU_TOKEN@*/,
                       maxWidth: /*@START_MENU_TOKEN@*/.infinity/*@END_MENU_TOKEN@*/,
                       minHeight: /*@START_MENU_TOKEN@*/0/*@END_MENU_TOKEN@*/,
                       idealHeight: 100,
                       maxHeight: /*@START_MENU_TOKEN@*/.infinity/*@END_MENU_TOKEN@*/)
                .background(Color.yellow)
            
            Text("fixed frame height")
                .frame(height: /*@START_MENU_TOKEN@*/100/*@END_MENU_TOKEN@*/)
                .frame(maxWidth: .infinity)
                .background(Color.yellow)
        }
    }
}

fileprivate struct MultiFrameExampleView: View {
    
    let text = "move it around"
    
    var body: some View {
        VStack(alignment: .leading) {
            Text(text)
            
            Text(text)
                .frame(maxWidth: .infinity, alignment: .trailing)
                .background(Color.yellow)
            
            
            Text(text)
                .frame(maxWidth: 300, alignment: .trailing)
                .background(Color.yellow)
            
            Text(text)
                .frame(maxWidth: 300, alignment: .trailing)
                .background(Color.yellow)
                .frame(maxWidth: .infinity, alignment: .center)
                .background(Color.orange)
            
            Text(text)
                .frame(maxWidth: 300, alignment: .trailing)
                .background(Color.yellow)
                .frame(maxWidth: .infinity, alignment: .leading)
                .background(Color.orange)
            
        }
    }
}

#Preview {
    FrameExampleView()
}

#Preview("Ideal Height") {
    IdealFrameExampleView()
}

#Preview("multiple frames") {
    MultiFrameExampleView()
}
