//
//  ImageSizingExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 11.09.2023.
//

import SwiftUI

struct ImageSizingExampleView: View {
    var body: some View {
        ZStack {
            Color.cyan.frame(width: 400, height: 400)
            Image(.test)
        }
    }
}

fileprivate struct ImageFitScalingView: View {
    var body: some View {
        Image(.cat1)
            .resizable()
            //.aspectRatio(nil, contentMode: .fit)
            //.aspectRatio(contentMode: .fit)
            .scaledToFit()
    }
}


fileprivate struct ImageFillScalingView: View {
    var body: some View {
        Image(.cat1)
            .resizable()
            //.aspectRatio(nil, contentMode: .fill)
            //.aspectRatio(contentMode: .fill)
            .scaledToFill()
            .ignoresSafeArea()
    }
}

fileprivate struct ImageFrameScalingView: View {
    var body: some View {
        VStack {
            
            Image(.beach)
                .resizable()
                .scaledToFit()
                .frame(width: 200, height: 200)
                .background(Color.black)
            
            Image(.beach)
                .resizable()
                .scaledToFill()
                .frame(width: 200, height: 200, alignment: .trailing)
                .border(Color.black, width: 5)
            
            Image(.cat1)
                .resizable()
                .scaledToFill()
                .frame(width: 200, height: 200, alignment: .top)
                .border(Color.black, width: 5)
               // .clipped()
        }
    }
}


#Preview("Ideal") {
    ImageSizingExampleView()
}

#Preview("Fit") {
    ImageFitScalingView()
}

#Preview("Fill") {
    ImageFillScalingView()
}

#Preview("Frame") {
    ImageFrameScalingView()
}
