//
//  ImageTypeExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 11.09.2023.
//

import SwiftUI

struct ImageTypeExampleView: View {
    var body: some View {
        VStack {
            Image(.rocketLunch) // png
                .renderingMode(.template)
                .foregroundColor(.accent)
            
            Image(.rocketLunchGraphic) // svg
                .resizable()
               // .renderingMode(.template)
                .foregroundColor(.accent)
                .scaledToFit()
                .frame(width: /*@START_MENU_TOKEN@*/100/*@END_MENU_TOKEN@*/)
            
            Image(.rocketLunchGraphic) // svg
                .resizable()
                .scaledToFit()
                .frame(width: 300)
        }
    }
}

fileprivate struct GradientSpidermanView: View {
    var body: some View {
        Image("spiderman")
            .resizable()
            .renderingMode(.template)
            .foregroundStyle(LinearGradient(colors: [Color.pink, Color.purple], startPoint: .topLeading, endPoint: .bottomTrailing))
            .scaledToFit()
            .padding([.leading, .top])
            .background(Color.backgroundColor2)
    }
}




#Preview {
    ImageTypeExampleView()
}

#Preview("Gradient Image") {
    GradientSpidermanView()
}
