//
//  LayoutPriorityExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 10.09.2023.
//

import SwiftUI

struct LayoutPriorityExampleView: View {
    var body: some View {
        VStack {
            
            HStack {
                Text("Eat more")
                Image("avocado_large")
                Text("Avocado Toast")
            }
            .font(.title)
            .lineLimit(1)
            .frame(width: 300)
            .border(Color.black)
            
            HStack {
                Text("Eat more")
                Image("avocado_large")
                Text("Avocado Toast")
                    .layoutPriority(1)
            }
            .font(.title)
            .lineLimit(1)
            .frame(width: 300)
            .border(/*@START_MENU_TOKEN@*/Color.black/*@END_MENU_TOKEN@*/)
            
            
            HStack(spacing: 0) {
                Color.red
                Color.orange
                Color.yellow
                Color.green
                    .frame(minWidth: 20)
                Color.blue
                    .frame(minWidth: 10, idealWidth: 20, maxWidth: 50)
                    .layoutPriority(1)
            }
            .frame(width: /*@START_MENU_TOKEN@*/100/*@END_MENU_TOKEN@*/, height: 100)
            .mask(Circle())
        }
    }
}

#Preview {
    LayoutPriorityExampleView()
}
