//
//  TextLimitedSpaceExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 10.09.2023.
//

import SwiftUI

struct TextLimitedSpaceExampleView: View {
    
    let superhero = SuperHero.example
    
    var body: some View {
        VStack(spacing: 30) {
            Text(superhero.name)
                .font(.title)
            
            Text(superhero.biography)
                .lineLimit(/*@START_MENU_TOKEN@*/2/*@END_MENU_TOKEN@*/)
            
            Text(superhero.biography)
                .lineLimit(2)
                .truncationMode(.middle)
            
            
            Text(superhero.biography)
                .lineLimit(2)
                .truncationMode(.head)
            
            Text(superhero.biography)
                .lineLimit(2)
                .allowsTightening(/*@START_MENU_TOKEN@*/true/*@END_MENU_TOKEN@*/)
            
            Text(superhero.biography)
                .frame(height: 70)
                .minimumScaleFactor(0.75)
            
        }
    }
}

#Preview {
    TextLimitedSpaceExampleView()
}
