//
//  PaddingExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 12.09.2023.
//

import SwiftUI

struct PaddingExampleView: View {
    var body: some View {
        VStack {
            Text("Hello, World!")
                .background(Color.cyan)
                .padding()
                .background(Color.yellow)
            
            Text("Hello, World!")
                .padding(50)
                .background(Color.yellow)
            
            Text("Hello, World!")
                .padding(.horizontal, 50)
                .background(Color.yellow)
            
            Text("Hello, World!")
                .padding(.top, 50)
                .background(Color.yellow)
            
            Text("Hello, World!")
                .padding([.top, .horizontal], 50)
                .background(Color.yellow)
            
            Text("Hello, World!")
                .padding(.vertical, 10)
                .padding(.horizontal, 20)
                .background(Color.yellow)
            
            
            Text("Scene Padding")
                .scenePadding()
            
        }
    }
}

#Preview {
    PaddingExampleView()
}
