//
//  ScrollViewPaddingExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 12.09.2023.
//

import SwiftUI

struct ScrollViewPaddingExampleView: View {
    var body: some View {
        ScrollView {
            ResizableImageView(imageName: "cat_2")
            
            VStack(alignment: .leading, spacing: 10) {
                Text(Lorem.title)
                    .font(.title)
                Text(Lorem.paragraph)
            }
           // .padding()
        }
        //.contentMargins(20)
        .contentMargins(.trailing, 20)
        .contentMargins(5, for: .scrollIndicators)
    }
}

fileprivate struct TextEditorInsetExampleView: View {
    @State private var text = "something amazing is coming here"
    
    var body: some View {
        TextEditor(text: $text)
            .border(Color.black)
            .padding()
            .contentMargins(.horizontal, 10)
            .contentMargins(.vertical, 5)
    }
}

#Preview("ScrollView") {
    ScrollViewPaddingExampleView()
}

#Preview("TextEditor") {
    TextEditorInsetExampleView()
}
