//
//  FormExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 06.02.24.
//

import SwiftUI

struct FormExampleView: View {
    
    @State private var text = ""
    @State private var number: CGFloat = 10
    @State private var isTrue: Bool = false
    
    var body: some View {
        Form {
            TextField("Enter Email", text: $text)
            Slider(value: $number) {
                Text("number \(Int(number))")
            }
            
            LabeledContent {
                Color.gray.frame(height: 1)
            } label: {
               // EmptyView()
                Text("Section")
                    .bold()
            }
            
            Picker("pick something", selection: $isTrue) {
                Text("true").tag(true)
                Text("false").tag(false)
            }
            
            LabeledContent("Additional stuff", value: "Something interesting")
            LabeledContent {
                Toggle("is True", isOn: $isTrue)
            } label: {
                Text("Toggle")
                    .bold()
            }

          
            
            
        }
        #if os(macOS)
        .padding()
        .frame(maxWidth: 350)
        #endif
        
    }
}

fileprivate struct GroupFormExampleView: View {
    
    @State private var text = ""
    @State private var number: CGFloat = 10
    @State private var isTrue: Bool = false
    
    var body: some View {
        Form {
            TextField("Enter Email", text: $text)
            Slider(value: $number) {
                Text("number \(Int(number))")
            }
            
            Section("Section title") {
                Toggle("is True", isOn: $isTrue)
                
                Picker("pick something", selection: $isTrue) {
                    Text("true").tag(true)
                    Text("false").tag(false)
                }
                
            }
        }
#if os(macOS)
        .padding()
        .frame(maxWidth: 350)
#endif
    }
}

#Preview("columns style") {
    FormExampleView()
        //.formStyle(.columns)
}

#Preview("grouped") {
    GroupFormExampleView()
        .formStyle(.grouped)
}
