//
//  RegistrationiOSView.swift
//  LayoutProject
//
//  Created by Karin Prater on 06.02.24.
//

import SwiftUI

struct RegistrationiOSView: View {
    
    @State private var email = ""
    @State private var password = ""
    @State private var repeatPassword = ""
    
    var body: some View {
        
        NavigationStack {
            ScrollView{
                
                VStack(alignment: .leading){
                    
                    Text("Enter Your Email")
                    TextField("Email", text: $email)
                        .padding(.bottom, 30)
                    
                    Text("Enter Your New Password")
                    TextField("Password", text: $password)
                    TextField("Repeat Password", text: $repeatPassword)
                        .padding(.bottom, 50)
                    
                    HStack {
                        Button {
                            
                        } label: {
                            Text("Skip")
                                .frame(maxWidth: .infinity)
                        }
                        .buttonStyle(.bordered)
                        
                        Button {
                            
                        } label: {
                            Text("Register")
                                .frame(maxWidth: .infinity)
                        }
                        .buttonStyle(.borderedProminent)
                        .disabled(email.isEmpty)
                    }
                }
                .textFieldStyle(.roundedBorder)
            }
            .contentMargins(20)
            .navigationTitle("Create New Account")
            .background(Color.mint.gradient.opacity(0.7))
        }
    }
}

#Preview {
    RegistrationiOSView()
}
