//
//  InspirationListView.swift
//  LayoutProject
//
//  Created by Karin Prater on 05.02.24.
//

/*
 with section use:
 
 //.listSectionSeparator(.hidden)
 .listSectionSeparatorTint(.pink)
 */

import SwiftUI

struct InspirationListView: View {
    let inspirations = NatureInspiration.examples()
    @State private var selectedInspiration: NatureInspiration? = nil
    
    var body: some View {
        NavigationStack {
            List(inspirations,
                 selection: $selectedInspiration) { inspiration in
                InspirationRow(inspiration: inspiration)
                    .tag(inspiration)
                
                  //  .listRowBackground(selectedInspiration == inspiration ? Color.gray : Color.clear)
                    .listRowInsets(.init(top: 10, leading: 20, bottom: 10, trailing: 20))
                  //  .listRowSeparator(.hidden)
                    .listRowSeparatorTint(.pink, edges: .bottom)
                
                    .listSectionSeparator(.hidden)
            }
                 .listStyle(.plain)
                 .navigationTitle("Inspirations")
        }
    }
}

#Preview {
    InspirationListView()
}
