//
//  ListStyleBackgroundView.swift
//  LayoutProject
//
//  Created by Karin Prater on 05.02.24.
//

import SwiftUI

struct ListStyleBackgroundView: View {
    let notes = Note.examples()
    var body: some View {
        List {
            Section("All Notes") {
                ForEach(notes) {
                    NoteRowView(note: $0)
                       
                }
                .listRowBackground(Color.yellow)
            }
            
            Section("Favorite Notes") {
                ForEach(notes) {
                    NoteRowView(note: $0)
                        .listRowBackground($0.colorTag)
                }
            }
            
            Text("Make this special")
                .foregroundStyle(Color.white)
                .listRowBackground(Capsule().fill(Color.indigo))
        }
        .scrollContentBackground(.hidden)
        .background(Image("candies").resizable().scaledToFill().ignoresSafeArea())
    }
}

#Preview {
    ListStyleBackgroundView()
}
