//
//  NoteListStyleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 05.02.24.
//

import SwiftUI

struct NoteListStyleView: View {
    let notes = Note.examples()
    var body: some View {
        List {
            Section("All Notes") {
                ForEach(notes) {
                    NoteRowView(note: $0)
                }
            }
           
            Section("Favorite Notes") {
                ForEach(notes) {
                    NoteRowView(note: $0)
                }
            }
           
            
        }
    }
}

@available(macOS, unavailable)
#Preview("insetGrouped") {
    #if os(iOS)
    NoteListStyleView()
        .listStyle(.insetGrouped)
    #else
    Text("Not available for macOS")
    #endif
}

@available(macOS, unavailable)
#Preview("grouped") {
#if os(iOS)
    NoteListStyleView()
        .listStyle(.grouped)
#else
Text("Not available for macOS")
#endif
}

@available(iOS, unavailable)
#Preview("bordered") {
#if os(macOS)
    NoteListStyleView()
        .listStyle(.bordered)
        .alternatingRowBackgrounds()
        
#else
Text("Not available for macOS")
#endif
}

#Preview("inset") {
    NoteListStyleView()
        .listStyle(.inset)
}

#Preview("plain") {
    NoteListStyleView()
        .listStyle(.plain)
}

#Preview("sidebar") {
    NoteListStyleView()
        .listStyle(.sidebar)
}
