//
//  CollapsableListView.swift
//  LayoutProject
//
//  Created by Karin Prater on 06.02.24.
//

import SwiftUI

struct CollapsableListView: View {
    
    let folders = Folder.examples()
    
    var body: some View {
        List {
            ForEach(folders) { folder in
                FolderSectionView(folder: folder)
            }
        }
    }
}

fileprivate struct FolderSectionView: View {
    
    let folder: Folder
    @State private var isExpanded: Bool = true
    
    var body: some View {
        Section(folder.name,
                isExpanded: $isExpanded) {
            ForEach(folder.notes) { note in
              NoteRowView(note: note)
            }
        }
    }
}


#Preview {
    CollapsableListView()
        .listStyle(.sidebar)
}
