//
//  HeaderFooterSectionListView.swift
//  LayoutProject
//
//  Created by Karin Prater on 06.02.24.
//

import SwiftUI

struct HeaderFooterSectionListView: View {
    let folders = Folder.examples()
    
    var body: some View {
        List {
            ForEach(folders) { folder in
                
                Section {
                    ForEach(folder.notes) { note in
                      NoteRowView(note: note)
                    }
                } header: {
                    HStack {
                        Label(folder.name, systemImage: "folder.fill")
                            .textCase(.none)
                            .font(.title2)
                            .foregroundColor(.black)
                        
                        Spacer()
                        Button {
                            
                        } label: {
                            Label("Add New Note", systemImage: "plus.circle.fill")
                        }
                        .labelStyle(.iconOnly)
                    }
                }
                
            }
            
            Section {
                Text("This is inside the section")
            } header: {
                Text("Header Title")
            } footer: {
                Text("Some more information that helps the user understand what this does")
                    .foregroundStyle(.red)
            }

        }
    }
}

#Preview {
    HeaderFooterSectionListView()
}
