//
//  HierarchicalListView.swift
//  LayoutProject
//
//  Created by Karin Prater on 06.02.24.
//

import SwiftUI

struct HierarchicalListView: View {
    
    @State private var fileItems = FileItem.preview()
    @State private var selectedItem: FileItem.ID? = nil
    
    var body: some View {
        List(fileItems,
             children: \.children,
             selection: $selectedItem) { item in
            Label(item.title, systemImage: item.isFolder ? "folder" : "envelope")
        }
    }
}

fileprivate struct DisclosureHierarchicalListView: View {
    
    @State private var fileItems = FileItem.preview()
    @State private var selectedItem: FileItem.ID? = nil
    
    var body: some View {
        
        List(selection: $selectedItem) {
            
            OutlineGroup(fileItems, children: \.children) { item in
                Label(item.title, systemImage: item.isFolder ? "folder" : "envelope")
            }
            
            Section {
                Button("Do something") {
                    
                }
            }
        }
    }
}



#Preview("List") {
    HierarchicalListView()
}

#Preview("OutlineGroup") {
    DisclosureHierarchicalListView()
}

#Preview("sidebar style") {
    DisclosureHierarchicalListView()
        .listStyle(.sidebar)
}
