//
//  SectionExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 06.02.24.
//

import SwiftUI

struct SectionExampleView: View {
    
    let folders = Folder.examples()
    
    var body: some View {
        List {
            ForEach(folders) { folder in
                Section(folder.name) {
                    ForEach(folder.notes) { note in
                      NoteRowView(note: note)
                    }
                }
                
            }
        }
    }
}

#Preview {
    SectionExampleView()
}

#Preview {
    SectionExampleView()
        .listStyle(.inset)
}
