//
//  CrossplatformTableView.swift
//  LayoutProject
//
//  Created by Karin Prater on 06.02.24.
//

import SwiftUI

struct CrossplatformTableView: View {
    
   
    var body: some View {
        NavigationSplitView {
           
            AdaptedNoteTableView()
        } detail: {
            AdaptedNoteTableView()
        }
    }
}

fileprivate struct AdaptedNoteTableView: View {
    
    let notes = Note.examples()
    @Environment(\.horizontalSizeClass) var horizontalSizeClass
    
    var body: some View {
        
        Table(notes) {
            
            TableColumn("Title") { note in
                VStack(alignment: .leading) {
                    Text(note.title)
                        .font(.headline)
                    if horizontalSizeClass == .compact {
                        Text(note.creationDate, format: .dateTime)
                            .foregroundStyle(.gray)
                    }
                }
            }
            
            
            TableColumn("Content", value: \Note.content)
            TableColumn("Created At") { note in
                Text(note.creationDate, style: .date)
            }
        }
    }
}

#Preview {
    CrossplatformTableView()
}
