//
//  TableDisclosureView.swift
//  LayoutProject
//
//  Created by Karin Prater on 06.02.24.
//

import SwiftUI

struct TableDisclosureView: View {
    
    let fileItems = FileItem.preview()
    
    var body: some View {
        Table(of: FileItem.self) {
            TableColumn("Title") { item in
                Label(item.title,
                      systemImage: item.isFolder ? "folder.fill" : "envelope")
            }
        } rows: {
            
            ForEach(fileItems) { item in
                DisclosureTableRow(item) {
                    ForEach(item.children ?? []) { subItem in
                        TableRow(subItem)
                    }
                }
            }
        }
    }
}

#Preview {
    TableDisclosureView()
}
