//
//  TableExampleView.swift
//  LayoutProject
//
//  Created by Karin Prater on 06.02.24.
//

import SwiftUI

struct TableExampleView: View {
    
    let notes = Note.examples()
    
    var body: some View {
        
        Table(notes) {
            
            TableColumn("") { note in
                Circle().fill(note.colorTag)
                    .frame(width: 10)
            }
            .width(20)
            
            TableColumn("Title", value: \Note.title)
            TableColumn("Content", value: \Note.content)
            
            TableColumn("Created At") { note in
                Text(note.creationDate, style: .date)
            }
            
            TableColumn("Favorite") { note in
                Image(systemName: "heart")
                    .foregroundStyle(note.isFavorite ? Color.red : Color.clear)
            }
        }
    }
}

#Preview {
    TableExampleView()
}
