//
//  NoteEditDetailView.swift
//  LayoutProject
//
//  Created by Karin Prater on 04.02.24.
//

import SwiftUI

struct NoteEditDetailView: View {
    
    @Bindable var note: Note
    
    var body: some View {
        VStack(spacing: 10) {
            HStack {
                TextField("title", text: $note.title)
                    .font(.title2)
                Spacer()
                Toggle(isOn: $note.isFavorite) {
                    Text("is Favorite")
                }
                .toggleStyle(FavoriteToggleStyle())
            }
            
            TextEditor(text: $note.content)
                .contentMargins(.horizontal, 20.0, for: .scrollContent)
            
           
        }
        .padding()
    }
}



#Preview {
    struct PreviewNoteEditDetailView: View {
        @State private var note = Note.example()
        var body: some View {
            NoteEditDetailView(note: note)
        }
    }
    
    return PreviewNoteEditDetailView()
}
