//
//  FavoritePetGalleryView.swift
//  LayoutProject
//
//  Created by Karin Prater on 30.08.2023.
//

import SwiftUI

struct FavoritePetGalleryView: View {
    
    @Binding var favoriteImages: Set<String>
    
    var body: some View {
        NavigationStack {
            ScrollView {
                ForEach(favoriteImages.sorted(), id: \.self) { imageName in
                    Image(imageName)
                        .resizable()
                        .scaledToFit()
                }
            }
            .navigationTitle("Your Favorites")
        }
    }
}

#Preview {
    FavoritePetGalleryView(favoriteImages: .constant(["cat_1", "horse_3", "fish_3",
                                                      "cat_3", "horse_1", "cat_2"]))
}
