//
//  PetPalAppView.swift
//  LayoutProject
//
//  Created by Karin Prater on 30.08.2023.
//

import SwiftUI

struct PetPalAppView: View {
    
    @State private var favoriteImages: Set<String> = ["cat_1", "horse_3", "fish_3",
                                                      "cat_3", "horse_1", "cat_2"]
    @State private var pets = Pet.examples
    
    var body: some View {
        TabView {
            PetPalGalleryView(pets: pets, favoriteImages: $favoriteImages)
                .tabItem { Label("Gallery", systemImage: "square.grid.2x2") }
            
            FavoritePetGalleryView(favoriteImages: $favoriteImages)
                .tabItem { Label("Favorites", systemImage: "heart") }
        }
    }
}

#Preview {
    PetPalAppView()
}
