//
//  Contact.swift
//  LayoutProject
//
//  Created by Karin Prater on 11.11.23.
//

import Foundation

struct Contact: Identifiable {

    let id: UUID
    var name: String
    var phoneNumber: String
    
    init(name: String, phoneNumber: String) {
        self.id = UUID()
        self.name = name
        self.phoneNumber = phoneNumber
    }
    
    static func examples() -> [Contact] {
        [
            Contact(name: "John Doe", phoneNumber: "123-456-7890"),
            Contact(name: "Jane Smith", phoneNumber: "987-654-3210"),
            Contact(name: "Alice Johnson", phoneNumber: "555-123-4567"),
            Contact(name: "Albert Johnson", phoneNumber: "555-123-4567"),
            Contact(name: "Andrew Johnson", phoneNumber: "555-123-4567"),
            Contact(name: "Bob Williams", phoneNumber: "111-222-3333"),
            Contact(name: "Eve Davis", phoneNumber: "999-888-7777"),
            Contact(name: "Frank Brown", phoneNumber: "444-333-2222"),
            Contact(name: "Grace White", phoneNumber: "888-777-6666"),
            Contact(name: "Hank Taylor", phoneNumber: "777-666-5555"),
            Contact(name: "Ivy Lee", phoneNumber: "666-555-4444"),
            Contact(name: "Kate Young", phoneNumber: "555-444-3333"),
            Contact(name: "Louis Miller", phoneNumber: "222-333-4444"),
            Contact(name: "Mary Adams", phoneNumber: "333-444-5555"),
        ]
    }
}

extension Contact: Comparable {
    static func < (lhs: Contact, rhs: Contact) -> Bool {
        lhs.name < rhs.name
    }
}
