//
//  Emoji.swift
//  LayoutProject
//
//  Created by Karin Prater on 19.06.22.
//

import Foundation

struct Emoji: Identifiable {
    let value: Int
    
    var emojiSting: String {
        guard let scalar = UnicodeScalar(value) else { return "?" }
        return String(Character(scalar))
    }
    
    var valueString: String {
        String(format: "%x", value)
    }
    
    var id: Int {
        return value
    }
    
    static func example() -> Emoji {
         Emoji(value: 0x1f600) 
    }
    
    static func examples() -> [Emoji] {
        let values = 0x1f600...0x1f64f
        return values.map {  Emoji(value: $0) }
    }
}
