//
//  InspirationCard.swift
//  LayoutProject
//
//  Created by Karin Prater on 07.11.23.
//

import SwiftUI

struct InspirationCard: View {
    let inspiration: NatureInspiration
    let frameAspectRatio: CGFloat
    
    init(inspiration: NatureInspiration, frameAspectRatio: CGFloat = 1.5) {
        self.inspiration = inspiration
        self.frameAspectRatio = frameAspectRatio
    }
    
    var body: some View {
        ImageAspectView(imageName: inspiration.imageName,
                        frameAspectRatio: frameAspectRatio,
                        cornerRadius: 15)
        .shadow(radius: 5)
        .overlay(alignment: .bottomTrailing) {
            Text(inspiration.name)
                .bold()
                .foregroundStyle(.white)
                .padding()
        }
    }
}

#Preview {
    InspirationCard(inspiration: .example1())
        .padding()
}
