//
//  InspirationRow.swift
//  LayoutProject
//
//  Created by Karin Prater on 20.10.23.
//

import SwiftUI

struct InspirationRow: View {
    let inspiration: NatureInspiration
    var body: some View {
        HStack(alignment: .top, spacing: 10) {
            // how do i get this image to take up 1/3 of the row
            ImageAspectView(imageName: inspiration.imageName,
                            frameAspectRatio: 1,
                            cornerRadius: 15)
            .containerRelativeFrame(.horizontal) { length, axis in
                length * 0.3
            }
            
            VStack(alignment: .leading, spacing: 5) {
                Text(inspiration.name)
                Text(inspiration.description)
                    .font(.caption)
                .lineLimit(3)
            }
            .padding(.vertical, 12)
        }
    }
}

#Preview {
    InspirationRow(inspiration: NatureInspiration.example1())
}
