//
//  InspirationRowView.swift
//  LayoutProject
//
//  Created by Karin Prater on 11.08.2023.
//

import SwiftUI

struct InspirationRowView: View {
    
    let inspiration: NatureInspiration
    let imageSize: CGFloat
    
    init(inspiration: NatureInspiration, imageSize: CGFloat = 100) {
        self.inspiration = inspiration
        self.imageSize = imageSize
    }
    
    var body: some View {
        HStack(alignment: .top, spacing: 10) {
            ImageAspectView(imageName: inspiration.imageName,
                            frameAspectRatio: 1)
                .frame(width: imageSize, height: imageSize)
                .clipShape(RoundedRectangle(cornerRadius: 5))
            
            VStack(alignment: .leading, spacing: 5) {
                Text(inspiration.name)
                Text(inspiration.description)
                    .font(.caption)
                    .lineLimit(3)
            }
            //.padding(.trailing, 10)
            //.padding(.bottom, 5)
            .padding(.top, 12)
        }
        .frame(maxWidth: .infinity, alignment: .leading)
    }
}

#Preview {
    InspirationRowView(inspiration: .example1())
        .background(Color.gray.opacity(0.2))
        .padding()
    
}
