//
//  NoteRowView.swift
//  LayoutProject
//
//  Created by Karin Prater on 05.02.24.
//

import SwiftUI

struct NoteRowView: View {
    
    let note: Note
    
    var body: some View {
        HStack(alignment: .firstTextBaseline) {
            VStack(alignment: .leading) {
                Text(note.title)
                Text(note.creationDate, style: .date)
                    .font(.caption)
                    .foregroundStyle(.gray)
            }
            Spacer()
            if note.isFavorite {
                Image(systemName: "heart.fill")
            }
        }
    }
}

#Preview {
    List {
        NoteRowView(note: Note.example())
        NoteRowView(note: Note.example2())
    }
}
